class Interface:
    def quit(self):
	pass

    def uncover(self, x, y):
	pass

    def check(self, x, y):
	pass

    def flag(self, x, y):
	pass

    def setGame(self, game):
	self.m_game = game

    def setPlaying(self, p):
	self.m_playing = p

    def win(self):
	pass
    
    def lose(self):
	pass
